Package de.willuhn.jameica.hbci.gui.controller

# Class AbstractSepaSammelTransferBuchungControl<T extends SepaSammelTransferBuchung>

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferBuchungControl<T>

Type Parameters:
  `T` - der konkrete Typ des Sammel-Auftrages.

Direct Known Subclasses:
  `SepaSammelLastBuchungControl`, `SepaSammelUeberweisungBuchungControl`

public abstract class AbstractSepaSammelTransferBuchungControl<T extends SepaSammelTransferBuchung> extends de.willuhn.jameica.gui.AbstractControl
Abstrakter Controller fuer die Dialoge "Buchung eines SEPA-Sammelauftrages bearbeiten".

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSepaSammelTransferBuchungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getBetrag()`
Liefert das Eingabe-Feld fuer den Betrag.
`abstract T`
`getBuchung()`
Liefert die aktuelle Buchung.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerBic()`
Liefert das Eingabe-Feld fuer die BIC.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerKonto()`
Liefert das Eingabe-Feld fuer den Empfaenger.
`AddressInput`
`getEmpfaengerName()`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.
`de.willuhn.jameica.gui.input.Input`
`getEndToEndId()`
Liefert das Eingabe-Feld fuer die End2End-ID.
`de.willuhn.jameica.gui.input.Input`
`getPurposeCode()`
Liefert das Eingabe-Feld fuer den Purpose-Code.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getStoreEmpfaenger()`
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.
`de.willuhn.jameica.gui.input.Input`
`getZweck()`
Liefert das Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.Input`
`getZweckPreview()`
Liefert die Vorschau auf den Verwendungszweck
`boolean`
`handleStore()`
Speichert die Buchung.
`protected void`
`store()`
Speichert die Buchung.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSepaSammelTransferBuchungControl

public AbstractSepaSammelTransferBuchungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getBuchung

public abstract T getBuchung()
Liefert die aktuelle Buchung.

Returns:
  die Buchung.

### getEmpfaengerName

public AddressInput getEmpfaengerName() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerKonto

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerKonto() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerBic

public de.willuhn.jameica.gui.input.Input getEmpfaengerBic() throws RemoteException
Liefert das Eingabe-Feld fuer die BIC.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEndToEndId

public de.willuhn.jameica.gui.input.Input getEndToEndId() throws RemoteException
Liefert das Eingabe-Feld fuer die End2End-ID.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getPurposeCode

public de.willuhn.jameica.gui.input.Input getPurposeCode() throws RemoteException
Liefert das Eingabe-Feld fuer den Purpose-Code.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweck

public de.willuhn.jameica.gui.input.Input getZweck() throws RemoteException
Liefert das Eingabe-Feld fuer den Verwendungszweck.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweckPreview

public de.willuhn.jameica.gui.input.Input getZweckPreview() throws RemoteException
Liefert die Vorschau auf den Verwendungszweck

Returns:
  die Vorschau auf den Verwendungszweck.
Throws:
  `RemoteException`

### getBetrag

public de.willuhn.jameica.gui.input.Input getBetrag() throws RemoteException
Liefert das Eingabe-Feld fuer den Betrag.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getStoreEmpfaenger

public de.willuhn.jameica.gui.input.CheckboxInput getStoreEmpfaenger() throws RemoteException
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.

Returns:
  CheckBox.
Throws:
  `RemoteException`

### store

protected void store() throws Exception
Speichert die Buchung.

Throws:
  `Exception`

### handleStore

public boolean handleStore()
Speichert die Buchung.

Returns:
  true, wenn das Speichern erfolgreich war, sonst false.